## osssink

osssink

## Properties

gchar * | device | Read / Write

## Types and Values

struct | GstOssSink

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSink
                        ╰── GstAudioBaseSink
                            ╰── GstAudioSink
                                ╰── GstOssSink

## Description

This element lets you output sound using the Open Sound System (OSS).

Note that you should almost always use generic audio conversion elements like audioconvert and audioresample in front of an audiosink to make sure your pipeline works under all circumstances (those conversion elements will act in passthrough-mode if no conversion is necessary).

### Example pipelines

    1

    gst-launch-1.0 -v audiotestsrc ! audioconvert ! volume volume=0.1 ! osssink

will output a sine wave (continuous beep sound) to your sound card (with a very low volume as precaution).

    1

    gst-launch-1.0 -v filesrc location=music.ogg ! decodebin ! audioconvert ! audioresample ! osssink

will play an Ogg/Vorbis audio file and output it using the Open Sound System.

## Synopsis

### Element Information

plugin | ossaudio
author | Erik Walthinsen <omega@cse.ogi.edu>, Wim Taymans <wim.taymans@chello.be>
class | Sink/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)1
| audio/x-raw, format=(string){ S16LE, U16LE, S8, U8 }, layout=(string)interleaved, rate=(int)[ 1, 2147483647 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003

## Functions

## Types and Values

### struct GstOssSink

    struct GstOssSink;

## Property Details

### The `“device”` property

      “device”                   gchar *

OSS device (usually /dev/dspN).

Owner: GstOssSink

Flags: Read / Write

Default value: "/dev/dsp"